--- dpkg-shlibdeps.orig	2019-04-08 12:55:28.649166818 -0500
+++ dpkg-shlibdeps	2019-04-08 12:54:27.777685461 -0500
@@ -435,18 +435,22 @@
     foreach my $soname (@sonames) {
 	# Adjust minimal version of dependencies with information
 	# extracted from build-dependencies
-	my $dev_pkg = $symfile->get_field($soname, 'Build-Depends-Package');
-	if (defined $dev_pkg) {
-            debug(1, "Updating dependencies of $soname with build-dependencies");
-	    my $minver = get_min_version_from_deps($build_deps, $dev_pkg);
-	    if (defined $minver) {
-		foreach my $dep ($symfile->get_dependencies($soname)) {
-		    update_dependency_version($dep, $minver, 1);
-                    debug(1, " Minimal version of $dep updated with $minver");
+	my $dev_pkg_list = $symfile->get_field($soname, 'Build-Depends-Package');
+	if (defined $dev_pkg_list) {
+	    foreach my $dev_pkg (split(/[,\s]+/, $dev_pkg_list)) {
+		if (defined $dev_pkg) {
+	            debug(1, "Updating dependencies of $soname with build-dependencies");
+		    my $minver = get_min_version_from_deps($build_deps, $dev_pkg);
+		    if (defined $minver) {
+			foreach my $dep ($symfile->get_dependencies($soname)) {
+			    update_dependency_version($dep, $minver, 1);
+	                    debug(1, " Minimal version of $dep updated with $minver");
+			}
+		    } else {
+	                debug(1, " No minimal version found in $dev_pkg build-dependency");
+	            }
 		}
-	    } else {
-                debug(1, " No minimal version found in $dev_pkg build-dependency");
-            }
+	    }
 	}
 
 	# Warn about un-NEEDED libraries
